Please install pulseaudio on Linux build machines

RESOLVED WONTFIX

Status

RESOLVED WONTFIX
5 years ago
3 months ago

People

(Reporter: njn, Unassigned)

Tracking

Details

(Reporter)

Description

5 years ago
In bug 946037 we determined that the lack of the |pulseaudio| executable on Linux build machines was causing Valgrind to give some false positive leak reports.

Can the |pulseaudio| package be installed?  Thanks!

(BTW, this is very similar to bug 943713.  If this becomes a recurring pattern -- Valgrind failures due to missing executables -- I'll investigate a deeper fix, such as running Valgrind on the test machines instead of the build machines.)
No longer blocks: 946037
Blocks: 946037
(Reporter)

Comment 1

5 years ago
Actually, kinetik identified that the invocation of pulseaudio is a bad for start-up performance, and so he is going to back out the patch from bug 944707.

So the lack of packages on the build machines ended up being helpful in this instance! :)
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → WONTFIX
(Assignee)

Updated

3 months ago
Component: Platform Support → Buildduty
Product: Release Engineering → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.